Bug 231315 (fcgi) - Review Request: fcgi - fastcgi development kit
Summary: Review Request: fcgi - fastcgi development kit
Status: CLOSED NEXTRELEASE
Alias: fcgi
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
(Show other bugs)
Version: rawhide
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Jason Tibbitts
QA Contact: Fedora Package Reviews List
URL: http://www.fastcgi.com/#TheDevKit
Whiteboard:
Keywords:
: 182440 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-03-07 17:56 UTC by Till Maas
Modified: 2007-11-30 22:11 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-07-11 17:21:37 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
tibbs: fedora-review+
kevin: fedora-cvs+


Attachments (Terms of Use)

Description Till Maas 2007-03-07 17:56:53 UTC
Spec URL: http://www-users.kawo2.rwth-aachen.de/~tmaas/fedora/fcgi.spec
SRPM URL: http://www-users.kawo2.rwth-aachen.de/~tmaas/fedora/repo/fcgi-2.4.0-1.src.rpm
Description: 
FastCGI  is a language independent, scalable, open extension to CGI that
provides high performance without the limitations of server specific
APIs.

Comment 1 Paul Howarth 2007-03-07 18:03:36 UTC
Is this the same thing as Bug #182440 ?

Comment 2 Till Maas 2007-03-07 18:18:36 UTC
(In reply to comment #1)
> Is this the same thing as Bug #182440 ?

Oh, yes.

Comment 3 Konstantin Ryabitsev 2007-03-07 18:53:21 UTC
*** Bug 182440 has been marked as a duplicate of this bug. ***

Comment 4 Bernard Johnson 2007-04-17 15:36:01 UTC
W: fcgi no-documentation
W: fcgi strange-permission fcgi-autogen.sh 0775
W: fcgi patch-not-applied Patch1: fcgi-2.4.0-configure.in.patch
W: fcgi patch-not-applied Patch2: fcgi-2.4.0-Makefile.am-CPPFLAGS.patch
W: fcgi-debuginfo spurious-executable-perm
/usr/src/debug/fcgi-2.4.0/include/fcgios.h
W: fcgi-debuginfo spurious-executable-perm
/usr/src/debug/fcgi-2.4.0/libfcgi/os_unix.c
W: fcgi-devel no-documentation

Comment 5 Till Maas 2007-04-17 22:27:31 UTC
Spec URL: http://www-users.kawo2.rwth-aachen.de/~tmaas/fedora/fcgi.spec
SRPM URL:
http://www-users.kawo2.rwth-aachen.de/~tmaas/fedora/repo/fcgi-2.4.0-2.src.rpm

$ rpmlint fcgi-2.4.0-2.src.rpm
W: fcgi strange-permission fcgi-autogen.sh 0775
this is because of my build setup where everything in SOURCES must be
group-writable. This will change, when I import the package to Fedora SCM.

W: fcgi patch-not-applied Patch1: fcgi-2.4.0-configure.in.patch
W: fcgi patch-not-applied Patch2: fcgi-2.4.0-Makefile.am-CPPFLAGS.patch

As described in the .spec file, these patches are used to generate the source
tarball. Because autoconf should (must?) not be run within rpmbuild, they cannot
be applied within the build.

changelog:
- add some documentation
- add mkdir ${RPM_BUILD_ROOT} to %%install
- install man-pages

Comment 6 Jason Tibbitts 2007-06-28 00:06:52 UTC
This looks like a clean package; I'm not sure why it's been sitting for so long.

In addition to the above three complaints, which I agree are OK, rpmlint has the
following to say:
W: fcgi unused-direct-shlib-dependency /usr/lib64/libfcgi.so.0.0.0
/lib64/libnsl.so.1
W: fcgi unused-direct-shlib-dependency /usr/lib64/libfcgi++.so.0.0.0
/lib64/libnsl.so.1
W: fcgi unused-direct-shlib-dependency /usr/lib64/libfcgi++.so.0.0.0
/lib64/libm.so.6
These are merely inefficiencies; configure decides they're necessary even though
it seems the library doesn't actually need them.  They're so basic that I'm not
sure it would be worth the effort to get rid of them, but I suppose you could
try if you wanted to.

Review:
* source files match upstream:
   66fc45c6b36a21bf2fbbb68e90f780cc21a9da1fffbae75e76d2b4402d3f05b9
   fcgi-2.4.0.tar.gz
* package meets naming and versioning guidelines.
* specfile is properly named, is cleanly written and uses macros consistently.
* summary is OK.
* description is OK.
* dist tag is present.
* build root is OK.
* license field matches the actual license.
* license is open source-compatible.
* license text included in package.
* latest version is being packaged.
* BuildRequires are proper (none).
* compiler flags are appropriate.
* %clean is present.
* package builds in mock (development, x86_64).
* package installs properly
* debuginfo package looks complete.
* rpmlint is silent.
* final provides and requires are sane:
  fcgi-2.4.0-2.fc8.x86_64.rpm
   libfcgi++.so.0()(64bit)
   libfcgi.so.0()(64bit)
   fcgi = 2.4.0-2.fc8
  =
   /sbin/ldconfig
   libfcgi++.so.0()(64bit)
   libfcgi.so.0()(64bit)
   libgcc_s.so.1()(64bit)
   libgcc_s.so.1(GCC_3.0)(64bit)
   libstdc++.so.6()(64bit)
   libstdc++.so.6(CXXABI_1.3)(64bit)
   libstdc++.so.6(GLIBCXX_3.4)(64bit)

  fcgi-devel-2.4.0-2.fc8.x86_64.rpm
   fcgi-devel = 2.4.0-2.fc8
  =
   fcgi = 2.4.0-2.fc8
   libfcgi++.so.0()(64bit)
   libfcgi.so.0()(64bit)

* %check is not present; no test suite upstream.
* shared libraries present; unversioned .so links in -devel, and ldconfig called 
   as necessary.
* owns the directories it creates.
* doesn't own any directories it shouldn't.
* no duplicates in %files.
* file permissions are appropriate.
* scriptlets are OK (ldconfig).
* code, not content.
* documentation is small, so no -docs subpackage is necessary.
* %docs are not necessary for the proper functioning of the package.
* headers in -devel subpackage.
* no pkgconfig files.
* no static libraries.
* no libtool .la files.

APPROVED

Comment 7 Till Maas 2007-06-28 21:08:49 UTC
Thanks Jason.

New Package CVS Request
=======================
Package Name: fcgi
Short Description: a language independent, high performance extension to CGI
Owners: opensource till name
Branches: 
InitialCC: 

(the e-mail address is not complete, because bugzilla does not protect e-mails
that are in comments)

Comment 8 Kevin Fenzi 2007-06-28 22:59:18 UTC
cvs done.

Comment 9 Jason Tibbitts 2007-07-10 00:56:56 UTC
It doesn't look like this has been built yet.  Please build it and either close
the ticket or reference this ticket when you push to F7 and bodhi will close it.

Comment 10 Till Maas 2007-07-11 13:28:12 UTC
(In reply to comment #9)
> It doesn't look like this has been built yet.  Please build it and either close
> the ticket or reference this ticket when you push to F7 and bodhi will close it.

Yes, the first time I wanted to build it, koji had an unexpected outage, than I
forgot and now it will not build on x86_64 and therefore it does not build for
any  arch. Buildlog:
http://koji.fedoraproject.org/koji/getfile?taskID=61510&name=build.log

I will try to build it sometime only for i386 to see, whether this would fail on
the buildsystem, too.

Comment 11 Jason Tibbitts 2007-07-11 15:55:47 UTC
I know I built this on x86_64 but it now doesn't build in mock for me either. 
Try disabling parallel make; it seems to have worked for me.

Comment 12 Till Maas 2007-07-11 17:21:37 UTC
(In reply to comment #11)
> I know I built this on x86_64 but it now doesn't build in mock for me either. 
> Try disabling parallel make; it seems to have worked for me.

This makes koji happy, too:
http://koji.fedoraproject.org/koji/buildinfo?buildID=10928

Comment 13 Till Maas 2007-10-22 16:19:09 UTC
Package Change Request
======================
Package Name: fcgi
New Branches: EL-5


Comment 14 Kevin Fenzi 2007-10-22 19:38:00 UTC
cvs done.


Note You need to log in before you can comment on or make changes to this bug.